Skip to main content
GET
/
v1
/
scrape
/
youtube
/
channel
/
playlists
Channel Playlists
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/youtube/channel/playlists \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.sociavault.com/v1/scrape/youtube/channel/playlists"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.sociavault.com/v1/scrape/youtube/channel/playlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "success": true,
    "videos": {},
    "channels": {},
    "playlists": {
      "0": {
        "type": "playlist",
        "id": "PLoSWVnSA9vG8hI-SUpAimvYJrPh-PRRvp",
        "title": "If You Survive, You Win",
        "playlistUrl": "https://www.youtube.com/playlist?list=PLoSWVnSA9vG8hI-SUpAimvYJrPh-PRRvp",
        "videoId": "tnTPaLOaHz8",
        "videoUrl": "https://www.youtube.com/watch?v=tnTPaLOaHz8",
        "videoCount": 4,
        "channel": {
          "channelUrl": "https://www.youtube.com/@undefined"
        }
      },
      "1": {
        "type": "playlist",
        "id": "PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2",
        "title": "Helping People In Need",
        "thumbnail": "https://i.ytimg.com/tvfilm_banner/PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2/16_9_.jpg?sqp=CKDrqdEG-oaymwEICNYGEOADSFqi85f_AwYIsPuCygY=&rs=AOn4CLATdLKcXu6Q0HuyZmzpisYCnBhn3g",
        "playlistUrl": "https://www.youtube.com/playlist?list=PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2",
        "videoId": "HPJKxAhLw5I",
        "videoUrl": "https://www.youtube.com/watch?v=HPJKxAhLw5I",
        "videoCount": 9,
        "channel": {
          "channelUrl": "https://www.youtube.com/@undefined"
        }
      }
    },
    "shorts": {},
    "shelves": {},
    "lives": {},
    "continuationToken": null
  },
  "credits_used": 1,
  "endpoint": "youtube/channel/playlists"
}
{
"error": "Either channelId or handle is required"
}
{
"error": "Insufficient credits",
"required": 1,
"available": 0
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

channelId
string

YouTube channel ID

Example:

"UCX6OQ3DkcsbYNE6H8uQQuVA"

handle
string

YouTube channel handle

Example:

"MrBeast"

continuationToken
string

Continuation token to get more playlists. Get 'continuationToken' from previous response.

Response

Successful response containing channel playlists

Key Response Fields:

  • playlists[].id: YouTube playlist ID
  • playlists[].title: Playlist title
  • playlists[].playlistUrl: Full URL to the playlist
  • playlists[].videoId: ID of the first video in the playlist
  • playlists[].videoUrl: URL to the first video
  • playlists[].videoCount: Number of videos in the playlist
  • playlists[].thumbnail: Playlist thumbnail image URL
  • continuationToken: Token to fetch the next page of playlists (null if no more pages)